http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/stagesCreates a new Stage resource that references a pre-existing Deployment for the API.
The string identifier of the associated RestApi.
The key-value map of strings. The valid character set is [a-zA-Z+-=._:/]. The tag key can be up to 128 characters and must not start with <code>aws:</code>. The tag value can be up to 256 characters.
The name for the Stage resource. Stage names can only contain alphanumeric characters, hyphens, and underscores. Maximum length is 128 characters.
A map that defines the stage variables for the new Stage resource. Variable names can have alphanumeric and underscore characters, and the values must match <code>[A-Za-z0-9-._~:/?#&=,]+</code>.
The description of the Stage resource.
The identifier of the Deployment resource for the Stage resource.
Configuration settings of a canary deployment.
Specifies whether active tracing with X-ray is enabled for the Stage.
Returns the size of the CacheCluster.
Whether cache clustering is enabled for the stage.
The version of the associated API documentation.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/stages' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/stagesCreates a new Stage resource that references a pre-existing Deployment for the API.
The string identifier of the associated RestApi.
The key-value map of strings. The valid character set is [a-zA-Z+-=._:/]. The tag key can be up to 128 characters and must not start with <code>aws:</code>. The tag value can be up to 256 characters.
The name for the Stage resource. Stage names can only contain alphanumeric characters, hyphens, and underscores. Maximum length is 128 characters.
A map that defines the stage variables for the new Stage resource. Variable names can have alphanumeric and underscore characters, and the values must match <code>[A-Za-z0-9-._~:/?#&=,]+</code>.
The description of the Stage resource.
The identifier of the Deployment resource for the Stage resource.
Configuration settings of a canary deployment.
Specifies whether active tracing with X-ray is enabled for the Stage.
Returns the size of the CacheCluster.
Whether cache clustering is enabled for the stage.
The version of the associated API documentation.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/stages' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}